#
# Conditional build:
%bcond_with	wb	# use AMR wideband instead of narrowband
#
Summary:	AMR audio codec for mediastreamer
Summary(pl.UTF-8):	Kodek dźwięku AMR dla mediastreamera
Name:		mediastreamer-plugin-msamr
Version:	1.1.4
Release:	2
License:	GPL v2+
Group:		Libraries
#Source0Download: https://gitlab.linphone.org/BC/public/msamr/-/tags
Source0:	https://gitlab.linphone.org/BC/public/msamr/-/archive/%{version}/msamr-%{version}.tar.bz2
# Source0-md5:	51c5b8f0f31b12e231b56195ab1c2645
URL:		https://gitlab.linphone.org/BC/public/msamr
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
BuildRequires:	ortp-devel >= 0.16.0
BuildRequires:	mediastreamer-devel >= 2.13.0
BuildRequires:	opencore-amr-devel >= 0.1.2
BuildRequires:	pkgconfig
%{?with_wb:BuildRequires:	vo-amrwbenc-devel >= 0.1.1}
Requires:	mediastreamer >= 2.13.0
Requires:	opencore-amr >= 0.1.2
Requires:	ortp >= 0.16.0
%{?with_wb:Requires:	vo-amrwbenc >= 0.1.1}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package supplies the mediastreamer plugin for the AMR audio
codec.

%description -l pl.UTF-8
Ten pakiet udostępnia wtyczkę mediastreamera do kodeka dźwięku AMR.

%prep
%setup -q -n msamr-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_wb:--enable-wideband}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/mediastreamer/plugins/libmsamr.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/mediastreamer/plugins/libmsamr.so*
%changelog
* Sun Apr 07 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mediastreamer-plugin-msamr.git;a=log;h=master

* Sun Apr 07 2024 Jakub Bogusz <qboosh@pld-linux.org> ff8bcf6
- release 2 (mediastreamer 5.3.x)

* Thu Apr 13 2023 Jakub Bogusz <qboosh@pld-linux.org> 134246f
- updated to 1.1.4

* Mon Jul 26 2021 Jakub Bogusz <qboosh@pld-linux.org> eeafbcb
- release 3 (mediastreamer 4)

* Sun Jul 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 2cbdbcc
- updated URLs

* Tue Jul 06 2021 Jan Rękorajski <baggins@pld-linux.org> 2bd0bf1
- Release 2 (by relup.sh)

* Sat Jun 01 2019 Jakub Bogusz <qboosh@pld-linux.org> ac7ba84
- updated dependencies

* Sat Sep 29 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d6ce23
- up to 1.1.3

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5223a45
- release 7 (by relup.sh)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 72f2aa3
- release 6 (by relup.sh)

* Sun Apr 29 2018 Jan Rękorajski <baggins@pld-linux.org> 9c66450
- rebuild with ffmpeg 4.0
- release 5 (by relup.sh)

* Tue Aug 30 2016 Jan Rękorajski <baggins@pld-linux.org> 5ba2ed2
- rebuild with libvpx 1.6
- release 4 (by relup.sh)

* Wed Mar 16 2016 Jan Rękorajski <baggins@pld-linux.org> 2b7e708
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 34a2763
- release 2 (by relup.sh)

* Wed Nov 11 2015 Jakub Bogusz <qboosh@pld-linux.org> 70d781f
- updated to 1.0.2

* Thu Jul 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 381dc4e
- updated to 1.0.1

* Thu Jul 09 2015 Jan Rękorajski <baggins@pld-linux.org> ba09c1d
- release 3 (by relup.sh)

* Mon Mar 03 2014 Jan Rękorajski <baggins@pld-linux.org> 94c78b0
- release 2 (by relup.sh)

* Wed Jul 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 518e4d4
- new

